@import url('./variables.css');

/* HISTORY SECTION */

.ckm-history-wrapper {
  width: 100%;
  padding: 32px;
  display: flex;
  justify-content: center;
}

.ckm-history {
  width: 100%;
  max-width: 1280px;
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.history-content {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.history-header {
  color: #D62A22;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.history-subtitle {
  font-size: var(--font-size-lg);
  font-weight: 400;
  line-height: 18px;
}

.history-text {
  text-align: justify;
}

.history-images-wrapper {
  display: flex;
  justify-content: center;
}

.history-images {
  position: relative;
  width: 368px;
  height: 425px;
}

.history-img {
  width: 246px;
  height: 296px;
  overflow: hidden; 
  filter: brightness(0.7);
  transition: transform 0.7s ease, filter 0.7s ease; 
}

.history-img:hover {
  transform: scale(1.05);
  z-index: 11;
  filter: brightness(1);
}

.history-images > .history-img:nth-child(1) {
  position: absolute;
  top: 0;
  left: 0;
  background-color: #d9d9d9;
  border-radius: 20px 125px 20px 20px;
  box-shadow: 0px 0px 17px -5px #00000040;
  object-fit: fill;
  border: 0;
}

.history-images > .history-img:nth-child(2) {
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: #d9d9d9;
  border-radius: 125px 20px 20px 20px;
  box-shadow: 0px 0px 17px -5px #00000040;
  border: 0;
  object-fit: fill;
}

/* OUR PILLARS SECTION */
.ckm-our-pillars-wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  padding: 32px;  
}

.ckm-our-pillars {
  width: 100%;
  max-width: 1280px;
  gap: 64px;
  display: flex;
  flex-direction: column;
}

.our-pillars-content {
  border-radius: 20px;
  padding: 32px;
  background-color: #f4f4f4;
  display: flex;
  flex-direction: column;
  gap: 32px;
  flex: 1;
  min-width: 0;
}

 .our-pillars-title {
    text-align: center;
	 color: #d62a22;
  }

.our-pillars-list {
  display: flex;
  flex-direction: column;  
  height: 100%;
}

.pillar {
  display: flex;
  flex-direction: column;
  align-items: start;
  flex: 1;
  gap: 12px;  
  border-bottom: 1px solid #ababab;
  padding: 40px 0px;
  min-height: 0;
}

.pillar:first-child {
  padding-top: 0px;
}

.pillar:last-child {
  padding-bottom: 0px;
  border-bottom: 0px;
}


.pillar-title {  
  font-weight: 600;
  font-size: 20px;
}

.pillar-text {
  font-size: var(--font-size-sm);  
  text-align: justify;
  width: 100%;
}

.our-pillars-swiper-wrapper {
  display: flex;
  flex-direction: column;
  gap: 24px;
  min-height: 500px;
  min-width: 0;
  flex: 1;
}

#our-pillars-swiper {
  width: 100%;
	height: fit-content;
	flex: none;
}

.our-pillars-swiper-controls {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  gap: 32px;
}

.our-pillars-swiper-pagination {  
  transform: translate(0, 0) !important;
	display: flex;
	justify-content: center;
}

.our-pillars-swiper-pagination .swiper-pagination-bullet {
  background-color: #1E1E1E;
  opacity: 100 !important;
  width: 15px !important;
  height: 15px !important;
}

.our-pillars-swiper-pagination .swiper-pagination-bullet-active {
	background-color: #D62A22;
}

#our-pillars-swiper .swiper-wrapper {
  height: fit-content;
}

#our-pillars-swiper .swiper-slide {
  display: flex;
  justify-content: center;
  align-items: end;
}

#our-pillars-swiper .swiper-img {
  background-color: #ababab;
  width: auto;
  height: auto;
  border-radius: 20px;
  max-width: 460px;
  max-height: 510px;
  object-fit: fill;  
}

#our-pillars-swiper-prev, #our-pillars-swiper-next {
	cursor: pointer;
}

/* FOUNDERS SECTION */
.ckm-founders-wrapper {
	width: 100%;
	display: flex;
	justify-content: center;
	background-color: #D62A22;
	padding: 32px;
}

.ckm-founders {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 64px;
	max-width: 1280px;
}

.founders-content {
	color: white;
	text-align: justify;
	display: flex;
	flex-direction: column;
	gap: 32px;
}

.founders-images {
	display: flex;
	flex-direction: column;
	justify-content: center;
	gap: 64px;
}

.founders-images img {
	border-radius: 10px;
	width: 300px;
	height: 367px;
	position: absolute;
	left: 0;
	top: 0;
}

.founder-img-container {
	position: relative;
	width: 300px;
	height: 367px;
}

.founder-info {
	position: absolute;
	bottom: 16px;
	left:50%;
	transform: translateX(-50%);
	z-index: 11;
	color: white;
	font-family: var(--font-family-secondary);
	display: flex;
	flex-direction: column;
	align-items: center;
}

.founder-name {
	font-weight: 800;
}

/* POLICY SECTION */

.ckm-policy-wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  padding: 32px;
}

.ckm-policy {
  width: 100%;
  max-width: 1280px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 32px;
}

.policy-text {
  text-align: center;
}

/* ALLIES SECTION */

.ckm-allies-wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  padding: 32px;
		background-color: white;
}

.ckm-allies {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  width: 100%;
  max-width: 1280px;
}

.allies-title {
  text-align: center;
}

.allies-swiper-wrapper {
  width: 100%;
  height: 100%;
}

#allies-swiper .swiper-slide {
  display: flex;
  justify-content: center;
  align-items: center;
}

#allies-swiper .swiper-img {
  width: 175px;
  height: 70px;
  object-fit: fill;
}

#allies-swiper .allies-swiper-pagination {
  position: relative;
  margin-top: 64px;
  z-index: 10;
}

.allies-swiper-pagination .swiper-pagination-bullet {
  width: 14px;
  height: 14px;
  background-color: #1e1e1e;
}

@media (min-width: 1000px) {
  /* HISTORY SECTION */

  .ckm-history-wrapper {
    padding: 80px;
  }

  .ckm-history {
    flex-direction: row;
    align-items: center;
  }

  .history-content {    
    gap: 40px;
    flex: 1;
  }

  .history-images-wrapper {
    flex: 1;    
    display: flex;
    justify-content: end;
  }

  .history-images {
    width: 418px;
    height: 483px;
  }

  .history-img {
    width: 279px;
    height: 336px;
  }

  /* OUR PILLARS SECTION */

  .ckm-our-pillars-wrapper {
    padding: 80px;
    padding-bottom: 0px;
  }

  .ckm-our-pillars {
    flex-direction: row;
	align-items: center;
  }

  .our-pillars-list {
    align-items: center;   
  }

  .our-pillars-title {
    text-align: center;
  }

  .our-pillars-content {
    padding: 64px;
    gap: 64px;
  }

  .pillar-title-container {
    min-width: 80px;
  }

  .pillar {
    flex-direction: row;
    align-items: center;
    justify-content: start;    
    gap: 64px;
  }
	
  /* FOUNDERS SECTION */
  .ckm-founders-wrapper {
		padding: 96px 80px;
   }
	
	.ckm-founders {
		flex-direction: row;
		gap: 108px;
	}
	
	.founders-images {
		flex-direction: row;
	}

  /* POLICY SECTION */
  .ckm-policy-wrapper {
    padding: 80px;
    padding-top: 0px;
  }
  
  .ckm-policy {
    gap: 64px;
  }

  .policy-text {
    max-width: 780px;
  }
	


  /* ALLIES SECTION */
  .ckm-allies-wrapper {
    padding: 80px;
  }

  .ckm-allies {
    gap: 64px;
  }  
}